API references
Merchant API

Find a payment

Retrieve details about a specific payment in your merchant account.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/find-payment HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
payment_id: string,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
payment_id string

Required. The unique identifier of the payment to retrieve.

Response attributes
Attribute Description
payment_id
string

Always present. The ID of the payment.

external_id
string

Nullable. The merchant's internal reference for this payment.

status
string

Always present. The current status of the payment.

Possible values:
  • PENDING
  • AUTHORIZED
  • SUCCESSFUL
  • FAILED
  • REVERSED
  • VOIDED
  • EXPIRED
  • REFUNDED
  • PARTIALLY_REFUNDED
  • DISPUTED
amount
number

Always present. The payment amount in subunits.

currency
string

Always present. The 3-letter ISO currency code (e.g., 'THB').

payment_method
string

Always present. The payment method used (e.g., 'PROMPTPAY', 'CARD').

payment_method_display_name
string

Always present. The display name of the payment method.

card_last_digits
string

Nullable. The ending digits of the card number. Null for non-card payment methods or card payments without a token.

card_network
string

Nullable. The card network, such as visa or mastercard. Null for non-card payment methods or card payments without a token.

created_at
number

Always present. The creation timestamp (Unix timestamp).

authorized_at
number

Nullable. When the payment was authorized (Unix timestamp).

captured_at
number

Nullable. When the payment was captured (Unix timestamp).

expires_at
number

Nullable. When the payment expires (Unix timestamp).

capture
string

Always present. Whether the capture is automatic or manual.

Possible values:
  • AUTOMATIC
  • MANUAL
customer_id
string

Nullable. The ID of the customer (contact) associated with this payment.

customer_external_id
string

Nullable. The merchant's external reference for the customer (contact), if set.

customer_email
string

Nullable. The email address of the customer.

customer_mobile
string

Nullable. The mobile phone number of the customer.

customer_name
string

Nullable. The name of the customer.

fees
array<object.fee>

Always present. The fees associated with the payment.

ref1
string

Nullable. The first custom reference (e.g., invoice ID).

ref2
string

Nullable. The second custom reference.

ref3
string

Nullable. The third custom reference.

reversible
boolean

Always present. Whether the payment can be reversed.

capturable
boolean

Always present. Whether the payment can be captured.

voidable
boolean

Always present. Whether the payment can be voided.

refundable
boolean

Always present. Whether the payment can be refunded.

fraud_finding
string

Nullable. Whether the payment is considered risky or safe from a fraud perspective.

Possible values:
  • risky
  • safe
failure_code
string

Nullable. The failure code for a failed payment.

failure_message
string

Nullable. A description of why the payment failed

terminal_id
string

Nullable. The ID of the terminal that created the payment, if any.

payment_link_id
string

Nullable. The ID of the payment link that created the payment, if any.

payment_session_id
string

Nullable. The ID of the payment session associated with this payment, if any.

Fee attributes
Attribute Description
fee_id
string

Always present. The ID of the fee.

kind
string

Always present. The type of fee.

Possible values:
  • dispute
  • payment
  • payout
  • plan
  • refund
parent_id
string

Always present. The ID of the billable item that this fee is attached to. For example, if the fee is a dispute fee, this would be the ID of the dispute.

billing_code
string

Always present. The billing code of the fee.

unit_amount
number

Always present. The unit amount of the fee, in subunits. I.e. how much is billed for each unit of the fee.

percentage_amount
number

Always present. The percentage amount of the fee, in subunits. E.g. With a percentage_fee of 4%, a payment of 1000 THB would have a percentage_amount of 40_00.

discount_applied
boolean

Always present. Whether the fee has been discounted.

Possible values:
  • true
  • false
statement_id
string

Always present. The ID of the statement that this fee is attached to.

Errors specific to this endpoint
NOT_FOUND

This error occurs when no payment with the provided ID exists in your merchant account. Double check that you're using the correct payment ID.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
curl "https://api.reservepay.com/merchants/find-payment" \
  -X POST
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
  -d '{
        "payment_id": "pay_01kwbby4c702mbq2htbbwnywhd"
      }'
Learn how to run these code samples in your terminal by reading our guide.